For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SDKsHelp CenterLog inSign up
    • Overview
  • Getting Started
    • API Mechanics
    • Quickstart
  • Guides
    • Communications API
    • Troubleshooting
    • Events
    • Changelog
  • Comms API Reference
      • Summary
      • GETList Device Registrations
      • POSTRegister Device for Push Notifications
      • GETGet a single Device Registration
      • DELDelete a Device Registration
      • GETList Push Notifications
      • POSTSend Push Notifications
      • GETFetch a Push Notification
      • GETList Push Notification Operations
      • GETFetch a Push Notification Operation
      • GETList Push Credentials
      • POSTCreate Push Credential
      • GETFetch a Push Credential
      • DELDelete a Push Credential
      • PATCHUpdate a Push Credential
      • GETList Push Notification Apps
      • GETFetch a Push Notification App
      • PATCHUpdate a Push Notification App
      • GETList Users
      • GETFetch a User
      • DELDelete a User
LogoLogo
SDKsHelp CenterLog inSign up
Comms API ReferencePush Notifications

Fetch a Push Credential

GET
https://comms.twilio.com/preview/PushNotifications/Credentials/:credentialId
GET
/preview/PushNotifications/Credentials/:credentialId
$curl https://comms.twilio.com/preview/PushNotifications/Credentials/credentialId \
> -u "<accountId>:<authToken>"
1{
2 "id": "comms_credential_01h9krwprkeee8fzqspvwy6nq8",
3 "credentialType": "APN",
4 "isDefault": false,
5 "appName": "limonade_app",
6 "createdAt": "2023-08-31T14:15:22Z",
7 "updatedAt": "2023-08-31T14:15:22Z"
8}
This operation fetches a single Push Notifications Credential using its ID.
Was this page helpful?
Previous

Delete a Push Credential

Next
Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

credentialIdstringRequired

Response

OK
idstringformat: "^comms_credential_[a-hjkmnpqrstv-z0-9]{26,34}"
A reference to Credential.
credentialTypeenum
The credential types available for PushNotifications.
Allowed values:
isDefaultbooleanDefaults to false

Use this Credential as the default for the Push Notification App for the given credentialType to send Push Notifications. If a Credential of the given type doesn’t already exist, this Credential automatically becomes the default.

appNamestring

The name of the app that this Credential is associated with. This should be the same value as the appName set when registering devices for the app with /PushNotifications/DeviceRegistrations

createdAtstringformat: "date-time"
updatedAtstringformat: "date-time"

Errors

400
Bad Request Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error